<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Infusion general information
$inf_title = "Forum Rang System";
$inf_description = "Adds ranks to forum users dependent on the number of forum posts.";
$inf_version = "1.00";
$inf_developer = "weedorbeat (5.01), mistermartin75 (6.00 comp)";
$inf_email = "p.m.@directbox.com";
$inf_weburl = "http://www.carstenpukass.de";

$inf_folder = "rank_system"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "rank_system.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 16; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "forumrang (
  id int(10) NOT NULL auto_increment,
  posts int(10) NOT NULL default '0',
  names varchar(20) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "forumrang VALUES (1, 1, 'Test Rang 1')";
$inf_insertdbrow_[2] = "forumrang VALUES (2, 2, 'Test Rang 2')";
$inf_insertdbrow_[3] = "forumrang VALUES (3, 3, 'Test Rang 3')";
$inf_insertdbrow_[4] = "forumrang VALUES (4, 4, 'Test Rang 4')";
$inf_insertdbrow_[5] = "forumrang VALUES (5, 5, 'Test Rang 5')";
$inf_insertdbrow_[6] = "forumrang VALUES (6, 6, 'Test Rang 6')";
$inf_insertdbrow_[7] = "forumrang VALUES (7, 7, 'Test Rang 7')";
$inf_insertdbrow_[8] = "forumrang VALUES (8, 8, 'Test Rang 8')";
$inf_insertdbrow_[9] = "forumrang VALUES (9, 9, 'Test Rang 9')";
$inf_insertdbrow_[10] = "forumrang VALUES (10, 0, '')";
$inf_insertdbrow_[11] = "forumrang VALUES (11, 10, 'Test Rang 10')";
$inf_insertdbrow_[12] = "forumrang VALUES (12, 11, 'Test Rang 11')";
$inf_insertdbrow_[13] = "forumrang VALUES (13, 12, 'Test Rang 12')";
$inf_insertdbrow_[14] = "forumrang VALUES (14, 13, 'Test Rang 13')";
$inf_insertdbrow_[15] = "forumrang VALUES (15, 14, 'Test Rang 14')";
$inf_insertdbrow_[16] = "forumrang VALUES (16, 15, 'Test Rang 15')";

$inf_droptable_[1] = "table_name";

$inf_altertable_[1] = "table_name ADD etc";

$inf_deldbrow_[1] = "other_table";

?>